Special Aircraft Service

Please login or register.

Login with username, password and session length
Advanced search  
Pages: [1]   Go Down

Author Topic: SAS Selector exe : DL the latest ~ 09 September 2018  (Read 49296 times)

0 Members and 1 Guest are viewing this topic.

SAS~CirX

  • Editor
  • member
  • Offline Offline
  • Posts: 4796
  • No Zips, Only Buttons
SAS Selector exe : DL the latest ~ 09 September 2018
« on: June 10, 2011, 08:58:02 AM »

SAS/UP Selector, latest version:

~the SAS/UP exe Selector is made and maintained by SAS~Storebror

This is the latest version of the selector that you may have gotten from your modact or pack download. These versions feature continious expansion and fixes. We advise you make sure you always have the latest, especially if you have any problems.

TiP: Make sure that you delete other il2fb.exe files from any jsgme mods that may contain them (from older packs and activators mostly), as these will of course overwrite your selector if they are activated. This includes il2fb.exe's form UP3, HSFX5/6/7 ect! DELETE DELETE DELETE!!!  :P

SAS Selector v3.4.2
SAS Selector Manual
SAS Selector v3.3.0 for Dedicated Server Operators
Please report selector issues in the Tech Help board.  :)
Logged

SAS~CirX

  • Editor
  • member
  • Offline Offline
  • Posts: 4796
  • No Zips, Only Buttons
Re: SAS Selector exe : DL the latest ~ 17 September 2014
« Reply #1 on: June 10, 2011, 09:17:05 AM »

Notes on Selector use and development:

To install the selector, just unpack the Selector package to your IL-2 game folder and make sure you run "IL-2 Selector" once at least and saving your settings.

Please read the Selector Manual for feature and usage description.
Logged

SAS~CirX

  • Editor
  • member
  • Offline Offline
  • Posts: 4796
  • No Zips, Only Buttons
Re: SAS Selector exe : DL the latest ~ 17 September 2014
« Reply #2 on: June 10, 2011, 09:22:09 AM »

Abbreviated Changelogs:

IL-2 Selectors:

v3.1.3: Major upgrade with several memory adjustment enhancements, few minor bugs fixed, server selector code completely rewritten and splash screen options added.

v2.3: Memory Allocation Strategy Setting added. This adds the possibility to run memory settings like with the old hex edited il2fb.exe versions (check manual for detailed description).

v2.2: Major upgrade with completely reworked file handling, advanced JVM parameter usage etc.

v1.5: Fixes an issue where the modded files folder wasn't selected properly.

v1.4: Fixes an issue where the selector caused a false positive report on Avira Antivir.

v1.3b: Fixed a display error in the selector GUI for Dark Blue World selections

v1.3: Fixes an issue where there had to be a specified mods folder with content in it for the selection to launch. So, in other words, launching UP3 without having a #UP# folder with some files in it, would cause a windows error. This is fixed in v1.3.
Logged

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: SAS Selector exe : DL the latest ~ 17 September 2014
« Reply #3 on: September 17, 2014, 01:17:13 AM »

*Bump*

It's been a long time and we've had a v3 type Selector shipped with Modact 5 already, this time we provide an update with a few minor bugs sorted, completely rewritten server selector and an additional option to make the Splash Screen "unsticky" or completely disable it.
Please find v3.1.3 in the first post.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: SAS Selector exe : DL the latest ~ 30 June 2015
« Reply #4 on: June 30, 2015, 10:05:15 AM »

*bump*

New Selector 3.1.4 available in first post.
This version fixes a bug caused by a flawed Vista June 2015 Update which kept the Selector from starting (as it did for many other Windows applications too).
Additionally, together with the SAS Common Utils 1.07 or later, this Selector (and subsequent versions) can be used to query the Selector Version from within the IL-2 game (for compatibility checks etc.).

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: SAS Selector exe : DL the latest ~ 30 June 2015
« Reply #5 on: February 14, 2016, 07:56:58 AM »

*bump*

Added a "Startup Debugger" to first post.
This tool comes handy when you game completely refuses to start and instead crashes even before a logfile can be created.
The reason for such kind of issues can be an Exception thrown in a Java static class initializer code block.
Such Exceptions can be seen using the "Startup Debugger".

Please note that the "Startup Debugger" is tied to the regarding Selector Version, so you must have the latest Selector to use this tool.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: SAS Selector exe : DL the latest ~ 31 August 2017
« Reply #6 on: August 31, 2017, 06:01:12 AM »

*bump*

New Selector Version 3.3.0 available in first post.

This Version introduces the Selector's capability to load Java Classfiles using their plain real clear name, alongside with the ability to use hashed names (hex hashes or "codded" numeric ones) as they used to be.

For instance, the file "772C0148952034C2" from the SAS Common Utils can now also be stored as "com/maddox/sas1946/il2/util/AircraftTools.class" inside the regarding mod folder.

Note that Java Classfile "clear" names and their folder structure are case sensitive.
"com/maddox/sas1946/il2/util/AircraftTools.class"
is not the same as
"com/maddox/SAS1946/il2/util/AircraftTools.class"

The old "Startup Debugger" now ships with the Selector by default, it's the "console.exe" file found in your IL-2 game folder after installing the Selector.
If your game crashes before it can create any log output, please double-click "cmd.exe" in your IL-2 game folder, then enter
Code: [Select]
console 2>&1 | tee startuplog.txtand hit Enter.
This will create a file "startuplog.txt" in your IL-2 game folder where more detailed error information can be seen.
Additionally, you will see the same log output in the console window.

Server Operators, please be aware that you will need to disable Data Execution Prevention (DEP) at least for il-2 (or system wide) in order to user the enhanced memory functionality of the IL-2 Selector.

Installation:
Extract the contents of the zip folder to your IL-2 game folder.
Run "IL-2 Selector.exe" at least once and apply your settings.
There's no need to run "IL-2 Selector.exe" everytime you want to launch the game, it's only required when you want to change settings.
Launching the game with current settings can be done by starting il2fb.exe directly.

IL-2 Selector 3.3.0 can be installed "on top" of previous IL-2 Selector 3.x versions.
If it worked before, it will work afterwards as well.

Best regards - Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: SAS Selector exe : DL the latest ~ 08 September 2018
« Reply #7 on: September 08, 2018, 12:51:17 AM »

*bump*

New Selector Version 3.4.1 available in first post.

This Version introduces compatibility with slibenli's great IL-2 Graphics Extender.
Since the graphics extender doesn't apply to dedicated server installations, the Server Version of the Selector remains 3.3.0.

]cheers[
Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...

SAS~Storebror

  • Editor
  • member
  • Online Online
  • Posts: 17331
  • Ask me if I care.
    • Friendly Fire isn't.
Re: SAS Selector exe : DL the latest ~ 08 September 2018
« Reply #8 on: September 09, 2018, 02:10:09 AM »

*bump*

New Selector Version 3.4.2 available in first post.

This Version further improves compatibility with slibenli's great IL-2 Graphics Extender.
Since the graphics extender doesn't apply to dedicated server installations, the Server Version of the Selector remains 3.3.0.
Selector 3.4.2 now automatically detects whether your game runs in OpenGL (recommended unless you have IntelHD graphics) or DirectX mode and only initializes IL-2 Graphics Extender if you are in OpenGL mode.

]cheers[
Mike
Logged
Learn. Challenge. Improve. In loving memory of the times when I cared...
Pages: [1]   Go Up
 

Page created in 0.012 seconds with 27 queries.